import { ActionMessageTypes } from "../../common/types/index.js";
interface UsePostMessageRequestReturn {
    requestPostMessage: <K extends keyof ActionMessageTypes>(action: K, data: ActionMessageTypes[K]) => void;
}
export declare function usePostMessageEvents(): UsePostMessageRequestReturn;
export {};
